ChangeSet 1.1119.1.10, 2003/08/06 15:52:06-07:00, oliver@neukum.org

[PATCH] USB: dvb usb driver sleeping in interrupt

submitting an URB in a completion handler requires GFP_ATOMIC to be
used.

  - usb_submit_urb must use GFP_ATOMIC in interrupt


 drivers/media/dvb/ttusb-budget/dvb-ttusb-budget.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/media/dvb/ttusb-budget/dvb-ttusb-budget.c b/drivers/media/dvb/ttusb-budget/dvb-ttusb-budget.c
--- a/drivers/media/dvb/ttusb-budget/dvb-ttusb-budget.c	Fri Aug  8 17:05:15 2003
+++ b/drivers/media/dvb/ttusb-budget/dvb-ttusb-budget.c	Fri Aug  8 17:05:15 2003
@@ -788,7 +788,7 @@
 		}
 	}
 #if LINUX_VERSION_CODE >= KERNEL_VERSION(2,5,0)
-	usb_submit_urb(urb, GFP_KERNEL);
+	usb_submit_urb(urb, GFP_ATOMIC);
 #endif
 }
 
